/*
 *	Portaloo configuration options
 */

/*
 *	Domain path for the cookie. This should either be your host or the
 *	domain of a set of hosts if you run multiple portaloos 
 */ 
 
#define PORTALOO_COOKIE	"roadrunner.swansea.linux.org.uk"

/*
 *	Data directory used for RDF data dumping and output. Must be readable
 *	by the web user.
 */
 
#define PORTALOO_BASE	"/home/anarchy/Linux/PORTAL/portal/data/"

/*
 *	Path to 8 byte secret. Should be readable by the web user only.
 *	You might want to make this owned by the web user, somewhere safe
 *	chmod 400 and immutable
 */
 
#define PORTALOO_SECRET "/etc/portaloo.magic"

/*
 *	Temporary read/write directory for the irc client
 */
 
#define WEB_TTY_PATH	"/tmp/webtty.%s.%d"

/*
 *	Path on web server to the input frame cgi
 */
 
#define WEB_TTY_CGI	"/cgi-bin/web_tty_in"

/*
 *	Path to ircframe cgi
 */
 
#define IRCFRAME	"/cgi-bin/ircframe"

/*
 *	Path to toolbar cgi
 */

#define TOOLBAR_CGI	"/cgi-bin/portabar"

/*
 *	Path to data used by the messaging system - read/write to whoever
 *	the system runs as
 */

#define HOMEPATH	"/home/anarchy/Linux/PORTAL/portal/data"

/*
 *	Path to RDF files, probably the same as PORTALOO_BASE to share
 *	RDF data. Read only to system user.
 */
 
#define RDFPATH		"/home/anarchy/Linux/PORTAL/portal/data"


/*
 *	Path in /cgi-bin to the portal binary
 */
 
#define CGIPATH		"portal.cgi"

/*
 *	Path to the icons
 */
 
#define IMAGEDIR	"/portal_icons"

/*
 *	Files for header/footer in discussion mode
 */
 
#define HTML_header	"head_discuss.html"
#define HTML_footer	"foot_discuss.html"

